AvailabilityReport (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.widget.AvailabilityReport class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.widget
Class AvailabilityReport

    java.lang.Object
      org.hyperic.image.WebImage
          org.hyperic.image.widget.AvailabilityReport

    public class AvailabilityReport

extends WebImage

Field Summary
`int` | `Available` Number of Available Resources
`int` | `Unavailable` Number of Unavailable Resources
`int` | `Unknown` Number of Unknown Resources

Fields inherited from class org.hyperic.image.WebImage
`antiAliased, ARG_CANNOT_BE_NULL, backgroundColor, bottomBorder, DEFAULT_BACKGROUND_COLOR, DEFAULT_BOLD_TYPEFACE, DEFAULT_BORDER_COLOR, DEFAULT_BORDER_SIZE, DEFAULT_FONT, DEFAULT_FONT_METRICS, DEFAULT_HEIGHT, DEFAULT_PLAIN_TYPEFACE, DEFAULT_SHADOW_WIDTH, DEFAULT_TEXT_COLOR, DEFAULT_WIDTH, font, frameImage, height, indexColors, leftBorder, m_graphics, rightBorder, shadowWidth, SMALL_FONT, textColor, topBorder, width`

Constructor Summary
`AvailabilityReport()`

Method Summary
`protected void` | `draw(java.awt.Graphics2D g)`

Methods inherited from class org.hyperic.image.WebImage
`getFontMetrics, getImage, getTextCenter, getTextCenter, getTextCenter, isRunnable, postInit, preInit, setBorder, writeJpegImage, writeJpegImage, writePngImage, writePngImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Available

    public int Available

  Number of Available Resources

### Unavailable

    public int Unavailable

  Number of Unavailable Resources

### Unknown

    public int Unknown

  Number of Unknown Resources

Constructor Detail

### AvailabilityReport

    public AvailabilityReport()

Method Detail

### draw

    protected void draw(java.awt.Graphics2D g)

  Overrides:
    `draw` in class `WebImage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.